# label

#### new label(selection)

Constructor

Source:
  - component/label.js, line 30

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) color(_v) → {*}

Color Getter / Setter

Source:
  - component/label.js, line 126

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `string` | Color (e.g. "red" or "#ff0000").

##### Returns:

Type:
  `*`

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - component/label.js, line 78

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D object dimensions.

##### Returns:

Type:
  `*`

#### (static) offset(_v) → {*}

Offset Getter / Setter

Source:
  - component/label.js, line 138

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | Label offset number.

##### Returns:

Type:
  `*`

#### (static) xScale(_v) → {*}

X Scale Getter / Setter

Source:
  - component/label.js, line 90

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) yScale(_v) → {*}

Y Scale Getter / Setter

Source:
  - component/label.js, line 102

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) zScale(_v) → {*}

Z Scale Getter / Setter

Source:
  - component/label.js, line 114

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`